const path = require('path');

module.exports = {
  entry: {
    extensions: './src/extensions.js',
    graphics: './src/graphics.js',
    project: './src/project.js'
  },
  output: {
    filename: '[name].js',
    path: path.resolve(__dirname, 'dist'),
	library: 'LiteRyzJS',  // The global variable name under which the classes will be exposed
    libraryTarget: 'umd',
    globalObject: 'this'
  },
  mode: 'production',  // development|production
};